# Ad Exchange Seller API . accounts . preferreddeals

## Instance Methods

Get information about the selected Ad Exchange Preferred Deal.

List the preferred deals for this Ad Exchange account.

### Method Details

`get(accountId, dealId)`

    Get information about the selected Ad Exchange Preferred Deal.

    Args:
      accountId: string, Account owning the deal. (required)
      dealId: string, Preferred deal to get information about. (required)

    Returns:
      An object of the form:

        {
        "kind": "adexchangeseller#preferredDeal", # Kind of resource this is, in this case adexchangeseller#preferredDeal.
        "buyerNetworkName": "A String", # The name of the buyer network this deal is for.
        "currencyCode": "A String", # The currency code that applies to the fixed_cpm value. If not set then assumed to be USD.
        "advertiserName": "A String", # The name of the advertiser this deal is for.
        "fixedCpm": "A String", # The fixed price for this preferred deal. In cpm micros of currency according to currencyCode. If set, then this preferred deal is eligible for the fixed price tier of buying (highest priority, pay exactly the configured fixed price).
        "startTime": "A String", # Time when this deal becomes active in seconds since the epoch (GMT). If not set then this deal is active immediately upon creation.
        "endTime": "A String", # Time when this deal stops being active in seconds since the epoch (GMT). If not set then this deal is valid until manually disabled by the publisher.
        "id": "A String", # Unique identifier of this preferred deal.
      }

`list(accountId)`

    List the preferred deals for this Ad Exchange account.

    Args:
      accountId: string, Account owning the deals. (required)

    Returns:
      An object of the form:

        {
        "items": [ # The preferred deals returned in this list response.
          {
            "kind": "adexchangeseller#preferredDeal", # Kind of resource this is, in this case adexchangeseller#preferredDeal.
            "buyerNetworkName": "A String", # The name of the buyer network this deal is for.
            "currencyCode": "A String", # The currency code that applies to the fixed_cpm value. If not set then assumed to be USD.
            "advertiserName": "A String", # The name of the advertiser this deal is for.
            "fixedCpm": "A String", # The fixed price for this preferred deal. In cpm micros of currency according to currencyCode. If set, then this preferred deal is eligible for the fixed price tier of buying (highest priority, pay exactly the configured fixed price).
            "startTime": "A String", # Time when this deal becomes active in seconds since the epoch (GMT). If not set then this deal is active immediately upon creation.
            "endTime": "A String", # Time when this deal stops being active in seconds since the epoch (GMT). If not set then this deal is valid until manually disabled by the publisher.
            "id": "A String", # Unique identifier of this preferred deal.
          },
        ],
        "kind": "adexchangeseller#preferredDeals", # Kind of list this is, in this case adexchangeseller#preferredDeals.
      }